// Generated by gencpp from file thesis_pad/RoomAddresseeRequest.msg
// DO NOT EDIT!


#ifndef THESIS_PAD_MESSAGE_ROOMADDRESSEEREQUEST_H
#define THESIS_PAD_MESSAGE_ROOMADDRESSEEREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace thesis_pad
{
template <class ContainerAllocator>
struct RoomAddresseeRequest_
{
  typedef RoomAddresseeRequest_<ContainerAllocator> Type;

  RoomAddresseeRequest_()
    : x(0.0)
    , y(0.0)
    , theta(0.0)
    , room_addr()
    , room_send()
    , room_command()
    , r_num(0)  {
    }
  RoomAddresseeRequest_(const ContainerAllocator& _alloc)
    : x(0.0)
    , y(0.0)
    , theta(0.0)
    , room_addr(_alloc)
    , room_send(_alloc)
    , room_command(_alloc)
    , r_num(0)  {
  (void)_alloc;
    }



   typedef float _x_type;
  _x_type x;

   typedef float _y_type;
  _y_type y;

   typedef float _theta_type;
  _theta_type theta;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _room_addr_type;
  _room_addr_type room_addr;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _room_send_type;
  _room_send_type room_send;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _room_command_type;
  _room_command_type room_command;

   typedef int64_t _r_num_type;
  _r_num_type r_num;





  typedef boost::shared_ptr< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> const> ConstPtr;

}; // struct RoomAddresseeRequest_

typedef ::thesis_pad::RoomAddresseeRequest_<std::allocator<void> > RoomAddresseeRequest;

typedef boost::shared_ptr< ::thesis_pad::RoomAddresseeRequest > RoomAddresseeRequestPtr;
typedef boost::shared_ptr< ::thesis_pad::RoomAddresseeRequest const> RoomAddresseeRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator1> & lhs, const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator2> & rhs)
{
  return lhs.x == rhs.x &&
    lhs.y == rhs.y &&
    lhs.theta == rhs.theta &&
    lhs.room_addr == rhs.room_addr &&
    lhs.room_send == rhs.room_send &&
    lhs.room_command == rhs.room_command &&
    lhs.r_num == rhs.r_num;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator1> & lhs, const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace thesis_pad

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "66efe4a842f40d230f0a995b5cd0dfcc";
  }

  static const char* value(const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x66efe4a842f40d23ULL;
  static const uint64_t static_value2 = 0x0f0a995b5cd0dfccULL;
};

template<class ContainerAllocator>
struct DataType< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "thesis_pad/RoomAddresseeRequest";
  }

  static const char* value(const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "float32 x\n"
"float32 y\n"
"float32 theta\n"
"string room_addr\n"
"string room_send\n"
"string room_command\n"
"int64 r_num\n"
;
  }

  static const char* value(const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.x);
      stream.next(m.y);
      stream.next(m.theta);
      stream.next(m.room_addr);
      stream.next(m.room_send);
      stream.next(m.room_command);
      stream.next(m.r_num);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct RoomAddresseeRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::thesis_pad::RoomAddresseeRequest_<ContainerAllocator>& v)
  {
    s << indent << "x: ";
    Printer<float>::stream(s, indent + "  ", v.x);
    s << indent << "y: ";
    Printer<float>::stream(s, indent + "  ", v.y);
    s << indent << "theta: ";
    Printer<float>::stream(s, indent + "  ", v.theta);
    s << indent << "room_addr: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.room_addr);
    s << indent << "room_send: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.room_send);
    s << indent << "room_command: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.room_command);
    s << indent << "r_num: ";
    Printer<int64_t>::stream(s, indent + "  ", v.r_num);
  }
};

} // namespace message_operations
} // namespace ros

#endif // THESIS_PAD_MESSAGE_ROOMADDRESSEEREQUEST_H
